=== debian/changelog ===
system-config-date (1.9.60-0ubuntu2) oneiric; urgency=low

  * debian/control: python-gnomecanvas was merged into python-gnome2, update
    dependency.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 01 Jun 2011 07:35:41 +0200

system-config-date (1.9.60-0ubuntu1) maverick; urgency=low

  * Initial release. This provides a very lightweight alternative to
    gnome-system-tools for systems without Perl. Added some patches to port
    Fedoraisms to Debian/Ubuntu.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 12 Aug 2010 11:39:34 +0200
