=== debian/control ===
Source: system-config-date
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7),
 cdbs,
 desktop-file-utils,
 gettext,
 intltool,
 python,
 python-support
Standards-Version: 3.9.1
Homepage: http://git.fedorahosted.org/git/?p=system-config-date.git

Package: system-config-date
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 python-gtk2,
 python-gnome2,
 gksu
Description: graphical interface for changing system time and date
 This also allows you to configure NTP and selecting your timezone.
