=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(DEB_DESTDIR)

binary-post-install/system-config-date::
	dh_pysupport

	# remove PAM and console.apps stuff, we just use gksu
	rm -r debian/${cdbs_curpkg}/etc
	rm debian/${cdbs_curpkg}/usr/bin/system-config-date
	install -m 755 -D system-config-date debian/${cdbs_curpkg}/usr/bin/system-config-date
